Made new package, can't install on Windows

I developed a package (language-kv1) to add language support for a new language. I’ve installed it on my Mac without problems, but when I go to install it on a Windows 10 machine, I get an error with node-gyp rebuild. This isn’t a new problem for Windows and other threads discuss this error, but all of the threads suggest the problem is with Windows, not the package. This being the first Atom package I’ve written, I suspect strongly there’s a problem with my package instead. Here’s the full error:

tree-sitter-kv1@1.0.2 install C:\Users\giesb\AppData\Local\Temp\apm-install-dir-1191024-23184-1hghq0h.9oet\node_modules\language-kv1\node_modules\tree-sitter-kv1
> node-gyp rebuild


C:\Users\giesb\AppData\Local\Temp\apm-install-dir-1191024-23184-1hghq0h.9oet\node_modules\language-kv1\node_modules\tree-sitter-kv1>if not defined npm_config_node_gyp (node "C:\Users\giesb\AppData\Local\atom\app-1.41.0\resources\app\apm\node_modules\npm\node_modules\npm-lifecycle\node-gyp-bin\\..\..\node_modules\node-gyp\bin\node-gyp.js" rebuild )  else (node "C:\Users\giesb\AppData\Local\atom\app-1.41.0\resources\app\apm\node_modules\npm\node_modules\node-gyp\bin\node-gyp.js" rebuild ) 

gyp ERR! configure error 
gyp ERR! stack Error: Can't find Python executable "D:\Users\giesb\AppData\Local\Programs\Python\Python37-32\python.EXE", you can set the PYTHON env variable.
gyp ERR! stack     at PythonFinder.failNoPython (C:\Users\giesb\AppData\Local\atom\app-1.41.0\resources\app\apm\node_modules\npm\node_modules\node-gyp\lib\configure.js:492:19)
gyp ERR! stack     at PythonFinder.<anonymous> (C:\Users\giesb\AppData\Local\atom\app-1.41.0\resources\app\apm\node_modules\npm\node_modules\node-gyp\lib\configure.js:517:16)
gyp ERR! stack     at C:\Users\giesb\AppData\Local\atom\app-1.41.0\resources\app\apm\node_modules\npm\node_modules\graceful-fs\polyfills.js:284:29
gyp ERR! stack     at FSReqWrap.oncomplete (fs.js:182:21)
gyp ERR! System Windows_NT 10.0.18362
gyp ERR! command "C:\\Users\\giesb\\AppData\\Local\\atom\\app-1.41.0\\resources\\app\\apm\\bin\\node.exe" "C:\\Users\\giesb\\AppData\\Local\\atom\\app-1.41.0\\resources\\app\\apm\\node_modules\\npm\\node_modules\\node-gyp\\bin\\node-gyp.js" "rebuild"
gyp ERR! cwd C:\Users\giesb\AppData\Local\Temp\apm-install-dir-1191024-23184-1hghq0h.9oet\node_modules\language-kv1\node_modules\tree-sitter-kv1
gyp ERR! node -v v10.2.1
gyp ERR! node-gyp -v v3.7.0
gyp ERR! not ok 
npm WARN enoent ENOENT: no such file or directory, open 'C:\Users\giesb\AppData\Local\Temp\apm-install-dir-1191024-23184-1hghq0h.9oet\package.json'
npm WARN apm-install-dir-1191024-23184-1hghq0h.9oet No description
npm WARN apm-install-dir-1191024-23184-1hghq0h.9oet No repository field.
npm WARN apm-install-dir-1191024-23184-1hghq0h.9oet No README data
npm WARN apm-install-dir-1191024-23184-1hghq0h.9oet No license field.

npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! tree-sitter-kv1@1.0.2 install: `node-gyp rebuild`
npm ERR! Exit status 1
npm ERR! 
npm ERR! Failed at the tree-sitter-kv1@1.0.2 install script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR!     C:\Users\giesb\.atom\.apm\_logs\2019-11-25T06_21_09_832Z-debug.log

Do you know what might cause a package to throw this error, or if I can make my package not use node-gyp while installing? I’ve never heard of node-gyp before this error and didn’t know Atom was using it so I’m not sure how to get around it.

Cheers,
Grant